summaryrefslogtreecommitdiffstats
path: root/Utilities/Scripts
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2015-12-21 14:41:09 (GMT)
committerCMake Topic Stage <kwrobot@kitware.com>2015-12-21 14:41:09 (GMT)
commita53e0168c344111de301ad67498ad89862b58cdf (patch)
treee5e70a3996ab12fa3b374197b2a65a08ff2fe504 /Utilities/Scripts
parent3768a79c232dc2456b9e9b70da6582b0eb1e78f1 (diff)
parenta5dd0c9d427d66f7e361b0aa714a0a41b65ae4f0 (diff)
downloadCMake-a53e0168c344111de301ad67498ad89862b58cdf.zip
CMake-a53e0168c344111de301ad67498ad89862b58cdf.tar.gz
CMake-a53e0168c344111de301ad67498ad89862b58cdf.tar.bz2
Merge topic 'import-kwiml'
a5dd0c9d Add option to use a system-installed KWIML 036b6ef7 Port CMake from cmIML to KWIML 12293371 Merge branch 'upstream-KWIML' into import-kwiml 3fdbb0a8 KWIML 2015-12-09 (43f9f8d0) 55b21d07 Add script to update KWIML from upstream c7d9a249 Utilities/KWIML: Drop sources to make room for fresh import
Diffstat (limited to 'Utilities/Scripts')
-rwxr-xr-xUtilities/Scripts/update-kwiml.bash20
1 files changed, 20 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-kwiml.bash b/Utilities/Scripts/update-kwiml.bash
new file mode 100755
index 0000000..5c0d192
--- /dev/null
+++ b/Utilities/Scripts/update-kwiml.bash
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="KWIML"
+readonly ownership="KWIML Upstream <kwrobot@kitware.com>"
+readonly subtree="Utilities/KWIML"
+readonly repo="https://github.com/Kitware/KWIML.git"
+readonly tag="master"
+readonly shortlog=true
+readonly paths="
+"
+
+extract_source () {
+ git_archive
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"